
//  <copyright>
//  CustomEncryptionDecryption.h
//  Copyright Syncfusion Inc. 2001 - 2012. All rights reserved.
//  Use of this code is subject to the terms of our license.
//  A copy of the current license can be obtained at any time by e-mailing
//  licensing@syncfusion.com. Any infringement will be prosecuted under
//  applicable laws.
//  </copyright>

#import <Foundation/Foundation.h>

#import "NSString+AESCrypt.h"
@protocol CustomEncryptionDecryptionDelegate <NSObject>

@optional

@end


@interface CustomEncryptionDecryption : NSObject

{
    id<CustomEncryptionDecryptionDelegate> delegate;
}

@property(retain,nonatomic) id<CustomEncryptionDecryptionDelegate> delegate;


-(NSString *) Encrypt:(NSString *)PlainText;

-(NSString *) Decrypt:(NSString *)CipherText;

-(NSString *) calldecrypt:(NSString *)plain;
-(NSString *) callencrypt:(NSString *)cipher;
+(void)function;

@end
