
//  <copyright>
//  Orubase.NativeAPI.IOS.h
//  Copyright Syncfusion Inc. 2001 - 2012. All rights reserved.
//  Use of this code is subject to the terms of our license.
//  A copy of the current license can be obtained at any time by e-mailing
//  licensing@syncfusion.com. Any infringement will be prosecuted under
//  applicable laws.
//  </copyright>

#import <Foundation/Foundation.h>
#import <AddressBook/AddressBook.h>
#import <UIKit/UIKit.h>
#import <CoreMotion/CoreMotion.h>
#import <CoreLocation/CoreLocation.h>
#import <AudioToolbox/AudioToolbox.h>
#include "Reachability.h"
#include <ifaddrs.h>
#include <arpa/inet.h>
#import "CaptureAudioViewController.h"
#import "CustomEncryptionDecryption.h"
#import "OrubaseGlobal.h"


@interface Orubase :UIViewController <UIWebViewDelegate,UIApplicationDelegate,UIAccelerometerDelegate,CLLocationManagerDelegate,UIAlertViewDelegate,UIImagePickerControllerDelegate,UINavigationControllerDelegate,AVAudioPlayerDelegate>
{
    UIWebView *clientWebView;
    UIAccelerometer *clientAccelerometer;
    UIAcceleration *clientAcceleration;
    CLLocation *cllocation;
    CLLocationManager *cllocationmanager;
    Reachability *internetReachable;
    Reachability *hostReachable;
    UIAlertView *alertView;
    UIImagePickerController *imagePickerController;
    CaptureAudioViewController *captureController;
    UIViewController *clientViewController;
    NSString *callBack;
    NSString *jsCommand;
    NSString *errormsg;
    
    
    /* AVAudioPlayer ********/
    AVAudioPlayer *player;
}


@property(nonatomic,strong) CaptureAudioViewController *captureController;
@property(nonatomic,strong) UIWebView *clientWebView;
@property(nonatomic,strong) UIViewController *clientViewController;
@property(strong) Reachability* internetReachable;

-(BOOL)CallFromJavaScript:(NSString*)requestString;
-(void)ClassInit:(UIWebView*)webView :(UIAccelerometer*)accelerometer:(UIImagePickerController*)imagePicker;


//contact functions
-(NSString *)replace:(NSString *)str;
-(NSString *)remove:(NSString *)str;

-(NSString *)JSONString:(int [])a :(int) post;

-(NSString *)EncryptChoice:(NSString *)contents:(NSString *)eMode;


@end